Subject: Re: [PATCH] clone: add --perm option to clone an shared repository

From: Paolo Bonzini <[email-masked]>
Date: Mon, 22 Jun 2009 12:19:44 +0200

Johannes Schindelin wrote:
> Hi,
> 
> On Mon, 22 Jun 2009, Paolo Bonzini wrote:
> 
>> Roy Lee wrote:
>>> The term 'shared' used here is in the same context with git init.
>>> Unfortunately the 'shared' option has been taken, so I took the "perm"
>>> as a place holder in this patch. Any comments?
>> I think it would make sense to add "perm" to git-init too (and possibly
>> deprecate --shared).
> 
> Agreed.  After we teach everybody on this planet that "perm" means 
> "shared", and "shared" does not.

Or instead of teaching everybody on this planet that "shared" means "set 
permissions for sharing" in one context, and "use hard links and set up 
.git/objects/info/alternates, which by the way may be dangerous" in 
another. :-)

But you made me think, and maybe it is better to remove argument-less 
--shared instead.  What Roy introduced seems much more useful in practice.

Paolo